javax.servlet.annotation

## Annotation Type WebInitParam

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      @Documented
      public @interface WebInitParam

  The annotation used to declare an initialization parameter on a `Servlet` or `Filter`, within a `WebFilter` or `WebServlet` annotation.
  E.g. `&#064;WebServlet(name="TestServlet", urlPatterns={"/test"},initParams={&#064;WebInitParam(name="test", value="true")}) public class TestServlet extends HttpServlet { ...`
  Since:
    Servlet 3.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `name`
    `java.lang.String` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `description`

- - ### Element Detail

    - #### name

          public abstract java.lang.String name

      Returns:
        name of the initialization parameter

    - #### value

          public abstract java.lang.String value

      Returns:
        value of the initialization parameter

    - #### description

          public abstract java.lang.String description

      Returns:
        description of the initialization parameter
      Default:
        ""

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.